Skip to content

Deactivate RTB EP

This endpoint deactivates RTB EP.

POST https://adelion.com/api/ortb/rtbep/deactivate
ParameterTypeDescriptionRequirement
IdintRTB EP ID.required
JSON payload example
{
"RtbEp": {
"Id": 1
}
}
Success JSON
{
"Status": "Ok",
"RtbEp": {
"Id": 1,
"TeamId": 1,
"PublisherId": 1,
"PublisherName": "Publisher",
"Name": "RTB EP 1",
"Tags": [
1
],
"DspBidfloorMargin": 5.0,
"PublisherProfitShare": 90.0,
"RevenueCountingMethod": 2,
"CheckAdsTxt": 1,
"CheckAppAdsTxt": 1,
"CheckSellersJson": 1,
"MaxQps": 0,
"TmaxAdjust": 0,
"AutoOptimize": 1,
"PopAdmXml": 0,
"PrebidJs": 0,
"AddSchainNode": 1,
"DiscardSchain": 0,
"SetSchainComplete": 0,
"RequestsDailyLimit": 0,
"BidsDailyLimit": 0,
"ImpressionsDailyLimit": 0,
"ImpressionsLimitPerIp": 5,
"SpentDailyLimit": 0.0,
"BannerEnabled": 1,
"VideoEnabled": 1,
"AudioEnabled": 1,
"NativeEnabled": 1,
"PopEnabled": 1,
"WebEnabled": 1,
"AppEnabled": 1,
"MinBidfloor": 0.0,
"MaxBidfloor": 20.0,
"MaxIvt": 50.0,
"MaxSchainNodes": 0,
"DomainsBrandsListMode": 0,
"DomainsBrandsList": [
1
],
"AppsListMode": 0,
"AppsList": [
1
],
"SizesListMode": 1,
"SizesList": [
"300x250",
"320x480"
],
"PubIdListMode": 0,
"PubIdList": "",
"IpBlacklists": [
1
],
"NonEmptyReferer": 1,
"RefererMatch": 1,
"IpMatch": 1,
"UaMatch": 1,
"AllowIpV6": 1,
"CheckSiteLive": 0,
"CheckAppStore": 0,
"Schain": 0,
"CompleteSchain": 0,
"PreventSchainLoop": 1,
"IabCategories": [
"IAB1-1",
"IAB2-1",
"IAB3"
],
"AdDomainsBrandsBlacklist": "",
"AdAppsBlacklist": "",
"CridListMode": 0,
"CridList": "",
"BlockedAdIabCategories": [
"IAB1-1",
"IAB2-1",
"IAB3",
"IAB2-4"
],
"VastInlineOnly": 0,
"Countries": [
{
"CC": "US",
"Country": "United States"
}
],
"Os": [
{
"Family": "Windows",
"Versions": [
{
"Major": "10",
"Minor": ""
}
]
}
],
"Browsers": [
{
"Family": "Chrome"
}
],
"DeviceTypes": [
1,
2,
3,
4,
5
],
"Auth": "druw8f",
"Qps": 534,
"TodayRevenue": 15.0,
"TodayFillRate": 8.0,
"YesterdayRevenue": 15.0,
"YesterdayFillRate": 8.0,
"AccManagerId": 5,
"AccManagerName": "John Doe",
"Status": 1,
"StatusString": "Inactive",
"ZoneUrls": [
{
"Region": "us-east",
"ZoneUrl": "https://us-east1.adelion.com/rtb?zone=1&auth=I6rQH0"
}
],
"StatsByDateCsv": "https://adelion.com/api/ortb/stats/publisher/rtb?username=publisher1&auth=7sdd23&zone=1&date_from={date_from}&date_to={date_to}",
"StatsByDateJson": "https://adelion.com/api/ortb/stats/publisher/rtb?username=publisher1&auth=7sdd23&zone=1&date_from={date_from}&date_to={date_to}&type=json",
"Campaigns": [
1
],
"DspRtbEps": [
1
],
"DspVastTags": [
1
],
"DspPopFeeds": [
1
]
}
}
Error JSON
{
"Status": "Error",
"Error": "[error description]"
}
CodeStatusMeaning
400Bad RequestYou sent a body that isn’t JSON.
401UnauthorizedYour access token is invalid.
406Not AcceptableOne or more JSON values are missing or malformed, or the requested object was not found.
500Internal Server ErrorThe server encountered a problem. Try again later.